OpenTTD Source: StationViewWindow::RowDisplay Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
StationViewWindow::RowDisplay Struct Reference

A row being displayed in the cargo view (as opposed to being "hidden" behind a plus sign). More...

## Public Member Functions
| RowDisplay (CargoDataEntry *f, StationID n)
| RowDisplay (CargoDataEntry *f, CargoType n)

## Data Fields
CargoDataEntry * | filter
| Parent of the cargo entry belonging to the row.
union { |
StationID next_station |
| ID of the station belonging to the entry actually displayed if it's to/from/via. More...
CargoType next_cargo |
| ID of the cargo belonging to the entry actually displayed if it's cargo. More...
}; |  |

## Detailed Description

A row being displayed in the cargo view (as opposed to being "hidden" behind a plus sign).

Definition at line 1224 of file station_gui.cpp.

## Constructor & Destructor Documentation

## ◆ RowDisplay() [1/2]

StationViewWindow::RowDisplay::RowDisplay | ( | CargoDataEntry * | f,
|  | StationID | n
| ) |  |
| inline

Definition at line 1225 of file station_gui.cpp.

## ◆ RowDisplay() [2/2]

StationViewWindow::RowDisplay::RowDisplay | ( | CargoDataEntry * | f,
|  | CargoType | n
| ) |  |
| inline

Definition at line 1226 of file station_gui.cpp.

## Field Documentation

## ◆ filter

CargoDataEntry* StationViewWindow::RowDisplay::filter

Parent of the cargo entry belonging to the row.

Definition at line 1231 of file station_gui.cpp.

Referenced by StationViewWindow::HandleCargoWaitingClick().

## ◆ next_cargo

CargoType StationViewWindow::RowDisplay::next_cargo

ID of the cargo belonging to the entry actually displayed if it's cargo.

Definition at line 1241 of file station_gui.cpp.

Referenced by StationViewWindow::HandleCargoWaitingClick().

## ◆ next_station

StationID StationViewWindow::RowDisplay::next_station

ID of the station belonging to the entry actually displayed if it's to/from/via.

Definition at line 1236 of file station_gui.cpp.

Referenced by StationViewWindow::HandleCargoWaitingClick().

The documentation for this struct was generated from the following file:

- src/station_gui.cpp